package com.zhilian.online.Timer;

import com.zhilian.online.uitls.AliyunOpenAPIUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.online.Timer
 * @Author: LiYuan
 * @CreateTime: 2024-04-17  21:53
 * @Description: 收集节点监视者
 * @Option: 监视节点负载量来决定是否需要扩容
 * @Version: 1.0
 */
@Component
@Slf4j
public class LoadObserver {

    /**
     * 阿里云api接口类
     */
    @Autowired
    private AliyunOpenAPIUtils aliyunOpenAPIUtils;

    /**
     * 监视负载量是否需要扩容
     */
    @Scheduled(cron = "0/10 * * * * ?")
    public void addInstance(){



    }

    /**
     * 监视负载量是否需要缩容
     */
    @Scheduled(cron = "0/10 * * * * ?")
    public void ReduceInstance(){

    }

}
