package com.zhilian.online.domain.model;

import lombok.*;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.online.domain.model
 * @Author: LiYuan
 * @CreateTime: 2024-04-18  19:47
 * @Description: 收集节点信息
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
@Builder
public class GatewayNodeInfo {

    /**
     * 节点id
     */
    private String nodeId;

    /**
     * 公网IP
     */
    private String publicIpAddress;

    /**
     * 内网IP
     */
    private String privateIpAddress;

}
